Skip to content

Update configuration for a device​

PUT
/devices/{id}/config

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Request Body​

JSON
{
  
"currentFW": "string",
  
"otaFW": "string",
  
"interval": 300,
  
"sleepInterval": 43200,
  
"packing": 1,
  
"movementSensitivity": 1,
  
"debounce": 3,
  
"movementSensitivity2": 2,
  
"behavior": 0,
  
"modeControl": 0,
  
"modeControl2": 0,
  
"gpsTimeout": 90,
  
"transmitTimeout": 0,
  
"gpsStabilize": 10,
  
"gpsCheckInterval": 120,
  
"stopTimeout": 90,
  
"tolerancePercentage": 10,
  
"reasonsToWake": [
  
  
{
  
  
}
  
],
  
"modified": "string",
  
"forceFw": false,
  
"updateAvailibility": 0,
  
"receivedAt": "string",
  
"reset": 0,
  
"flashTryCount": 0,
  
"homeWifiNetwork": "string",
  
"wakeAction": "normal",
  
"alertAction": "nothing",
  
"timed": [
  
  
{
  
  
}
  
],
  
"command": 0,
  
"id": 0,
  
"deviceId": 0,
  
"safeZoneId": 0
}

Request example

Responses​

Body (JSON)

application/json
JSON
{
  
"currentFW": "string",
  
"otaFW": "string",
  
"interval": 300,
  
"sleepInterval": 43200,
  
"packing": 1,
  
"movementSensitivity": 1,
  
"debounce": 3,
  
"movementSensitivity2": 2,
  
"behavior": 0,
  
"modeControl": 0,
  
"modeControl2": 0,
  
"gpsTimeout": 90,
  
"transmitTimeout": 0,
  
"gpsStabilize": 10,
  
"gpsCheckInterval": 120,
  
"stopTimeout": 90,
  
"tolerancePercentage": 10,
  
"reasonsToWake": [
  
  
{
  
  
}
  
],
  
"modified": "string",
  
"forceFw": false,
  
"updateAvailibility": 0,
  
"receivedAt": "string",
  
"reset": 0,
  
"flashTryCount": 0,
  
"homeWifiNetwork": "string",
  
"wakeAction": "normal",
  
"alertAction": "nothing",
  
"timed": [
  
  
{
  
  
}
  
],
  
"command": 0,
  
"id": 0,
  
"deviceId": 0,
  
"safeZoneId": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value
Body